package cicaprojekt;

import java.util.List;

public class Player extends PlayerBase{
	private List<ZPM> zpmContainer;
	private Box boxLifted;
	
	
	public Player(Tile startTile, Direction startDirection){
		currentTile = startTile;
		facingDirection = startDirection; /* Be lehetne állítani egy defaultot is, nem tudom, mennyire kéne */
	}

	public void boxLift() {
        boxLifted = (Box) currentTile.getAdjacentTile(facingDirection).getABox();
	}

	public void boxDrop() {
		currentTile.getAdjacentTile(facingDirection).putABox(boxLifted);
		boxLifted = null;
	}
	
	public void shootStargate(Stargate stargate) {
		this.currentTile.getAdjacentTile(facingDirection).spawnStargate(stargate, facingDirection);
	}
}
